chromium-bsu(6)

NAME
chromium-bsu - slick scrolling space shooter

SYNOPSIS
chromium-bsu [-fwv] [-na] [-nb] [-nt] [-V] [--fullscreen] [--window] [--vidmode <mode>] [--noaudio] [--noblend] [--notexborder] [--version] [--debug]

DESCRIPTION
chromium-bsu is a fast paced top down arcade style action shooter game. You progress through the game by destroying everything that you see on screen. There are a variety of 'power-ups' to assist you on the way. There is a big boss to destroy at the end of each level and there are various ships to destroy before you reach each boss.

TIPS
Do not let ANY enemy ships get past your fighters!

Use your fighters as weapons!

Strategic suicide is a powerful tactic!

Self-destruct to preserve your ammunition!

CONTROLS
The input devices supported depend on the compile options used to build.

You can control the ship with your mouse, keyboard (arrow keys) or joystick.

To fire your weapons, hold the left mouse button, joystick buttons or the space bar.

To pause the game, press pause or p on the keyboard.

To blow up your ship, press enter/return or 0 twice or double right click.

To switch to the next track in your music playlist, press n on the keyboard.

OPTIONS
When run with arguments that are not understood, usage information is shown.

The game understands the following command line options

-f --fullscreen
    runs in fullscreen mode.

-w --window
    runs in a window.

-na --noaudio
    does not initialize audio.

-v <mode>, --vidmode <mode>
    selects video mode.
    mode
    0 = 512 x 384
    1 = 640 x 480
    2 = 800 x 600
    3 = 1024 x 768
    4 = 1280 x 1024

-nb --noblend
    disables blending. (OpenGL)

-nt --notexborder
    do not set tex border color. (OpenGL)

-V --version
    show version information and exit.

--debug
    enable the display of debug information.

ENVIRONMENT
The following environment variables are used.

CHROMIUM_BSU_SCORE
    specifies the location of the user high-score file.

CHROMIUM_BSU_DATA
    specifies the location of user-customised game data with the same layout and filenames as the system one.

CHROMIUM_BSU_FONT
    When using the GLC backend, this specifies the font name to be used in the menu and the game if available.

    When using the FTGL backend, this specifies the path to the TTF font file used in the menu and the game.

FILES
The following files are used.

~/.chromium-bsu
    contains various user preferences.

~/.chromium-bsu-score
    contains the user high-scores.

~/.chromium-bsu-music
    contains a list of music to play during the game.

~/.chromium-bsu-data/
    directory containing user-customized game data with the same layout and filenames as the system one.

The game will also look in a system directory for data.

CONFIGURATION
The configuration file is a plain text file. Each line contains a key, a single-space separator and then a numeric value (integer or floating point). The following keys are recognised by the game.

use_playList
    Enable/disable playlist support. This causes the game to open the ~/.chromium-bsu-music file and play the files listed there. Disabled by default. Only works when using OpenAL.

use_cdrom
    Enable/disable CDROM support. This causes the game to attempt to play any audio CD that might be available. This is disabled by default because the constant spinning up of the CD can be annoying and because CDs are less popular than MP3/OGG these days. Only works when compiled with SDL 1.X support.

full_screen
    Enable/disable full-screen mode. This causes the game to fill the screen instead of just using a window. Disabled by default. Only works when using SDL support.

true_color
    Enable/disable 24-bit color. When disabled it uses 16-bit color. Disabled by default. Only works when using SDL support.

swap_stereo
    Enable/disable swapping sound orientation. Disabled by default. Only works when using OpenAL.

auto_speed
    Use an alternate speed adjustment algorithm in certain situations. Disabled by default. Only works when using SDL support.

show_fps
    Print the frames per second at the top right when in a game. Defaults to enabled.

screenWidth
    The number of pixels wide to set the screen or window size.

screenHigh
    The number of pixels high to set the screen or window size.

screenSize
    Selects the screen or window size. Defaults to 800x600.

This option is only exists for backwards compatibility purposes.
    It is replaced by the screenWidth and screenHeight options.
    0 = 512 x 384
    1 = 640 x 480
    2 = 800 x 600
    3 = 1024 x 768
    4 = 1280 x 1024

gfxLevel
    Selects the desired amount of graphical effects. Defaults to full effects.
    0 = minimal
    1 = medium
    2 = full

gameSkillBase
    Selects the desired skill level. Defaults to normal.
    0.2 = fish in a barrel
    0.3 = wimp
    0.4 = easy
    0.5 = normal
    0.6 = experienced
    0.7 = fun
    0.8 = insane
    0.9 = impossible

movementSpeed
    Speed that the ship moves around. The value shown in the menu is 1000 times the value in the configuration. Defaults to 0.03.

maxLevel
    The maximum level that may be attempted. To attempt the next level you must first complete the maximum level. Defaults to 1.

volSound
    Sets the volume of the sound effects. The value shown in the menu is 10 times the value in the configuration. Ranges from 0.0 to 1.0 and defaults to 0.9.

volMusic
    Sets the volume of the sound effects. The value shown in the menu is 10 times the value in the configuration. Ranges from 0.0 to 1.0 and defaults to 0.5.

viewGamma
    Sets the gamma used when loading the PNG images used for sprites. Defaults to 1.1.

audioType
    Sets which audio backend to use. The desired backend must be compiled in for it to work, otherwise the other backend will be used. Defaults to OpenAL.
    0 = OpenAL
    1 = SDL Mixer

textType
    Sets which text backend to use. The desired backend must be compiled in for it to work, otherwise the other backend will be used. Defaults to GLC.
    0 = GLC
    1 = FTGL

cdromCount
    A cache of number of CDROM devices present, not used.

cdromDevice
    The number of the CDROM device to use when use_cdrom is enabled. Zero-based. Defaults to first device (0). Only works when compiled with SDL 1.X support.

debug
    Enable/disable debug information. This causes the game to print debug information to the terminal. This is disabled by default.

SEE ALSO
"In game procedures and flight safety"

AUTHOR
This manual page was written by Peter Joseph, Paul Wise and others.